/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __LAUNCHER_ENV_H_
#define __LAUNCHER_ENV_H_

#define PLUGIN_PATH                  "/usr/share/dotnet.tizen/lib/libdotnet_plugin.so"
#define ENV_FILE_PATH                "/usr/share/dotnet.tizen/lib/coreclr_env.list"
#define AOT_METADATA_KEY             "http://tizen.org/metadata/prefer_dotnet_aot"
#define TAC_METADATA_KEY             "http://tizen.org/metadata/prefer_nuget_cache"
#define METADATA_VALUE               "true"
#define APP_NI_SUB_DIR               ".native_image"
#define TAC_SYMLINK_SUB_DIR          ".tac_symlink"
#define TAC_SHA_256_INFO             ".SHA256.info"
#define TAC_APP_LIST_DB              "/opt/usr/dotnet/.TAC.App.list.db"
#define TAC_APP_LIST_RESTORE_DB      "/opt/usr/dotnet/.TAC.App.list.restore.db"
#define TIZEN_DOTNET_NUGET           "Tizen.NET"
#define TIZEN_DOTNET_SDK_NUGET       "Tizen.NET.Sdk"
#define NET_STANDARD_LIBRARY_NUGET   "NETStandard.Library"
#define PLATFORM_TPA_CACHE           "/usr/share/dotnet.tizen/lib/platform_tpa_cache"
#define AOT_PRELOAD_PATH             LOADERDIR "/dotnet.preload.list"

#endif //__LAUNCHER_ENV_H_